org.eclipse.viatra.cep.vepl.vepl

## Interface VeplFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    VeplFactoryImpl

      public interface VeplFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `VeplPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static VeplFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractAtomicEventPattern` | `createAbstractAtomicEventPattern()` Returns a new object of class 'Abstract Atomic Event Pattern'.
    `AbstractMultiplicity` | `createAbstractMultiplicity()` Returns a new object of class 'Abstract Multiplicity'.
    `AndOperator` | `createAndOperator()` Returns a new object of class 'And Operator'.
    `AtLeastOne` | `createAtLeastOne()` Returns a new object of class 'At Least One'.
    `Atom` | `createAtom()` Returns a new object of class 'Atom'.
    `AtomicEventPattern` | `createAtomicEventPattern()` Returns a new object of class 'Atomic Event Pattern'.
    `BinaryOperator` | `createBinaryOperator()` Returns a new object of class 'Binary Operator'.
    `ChainedExpression` | `createChainedExpression()` Returns a new object of class 'Chained Expression'.
    `ComplexEventExpression` | `createComplexEventExpression()` Returns a new object of class 'Complex Event Expression'.
    `ComplexEventOperator` | `createComplexEventOperator()` Returns a new object of class 'Complex Event Operator'.
    `ComplexEventPattern` | `createComplexEventPattern()` Returns a new object of class 'Complex Event Pattern'.
    `EventModel` | `createEventModel()` Returns a new object of class 'Event Model'.
    `EventPattern` | `createEventPattern()` Returns a new object of class 'Event Pattern'.
    `FollowsOperator` | `createFollowsOperator()` Returns a new object of class 'Follows Operator'.
    `GenericImport` | `createGenericImport()` Returns a new object of class 'Generic Import'.
    `Import` | `createImport()` Returns a new object of class 'Import'.
    `Infinite` | `createInfinite()` Returns a new object of class 'Infinite'.
    `ModelElement` | `createModelElement()` Returns a new object of class 'Model Element'.
    `Multiplicity` | `createMultiplicity()` Returns a new object of class 'Multiplicity'.
    `NegOperator` | `createNegOperator()` Returns a new object of class 'Neg Operator'.
    `OrOperator` | `createOrOperator()` Returns a new object of class 'Or Operator'.
    `ParameterizedPatternCall` | `createParameterizedPatternCall()` Returns a new object of class 'Parameterized Pattern Call'.
    `ParametrizedQueryReference` | `createParametrizedQueryReference()` Returns a new object of class 'Parametrized Query Reference'.
    `PatternCallParameter` | `createPatternCallParameter()` Returns a new object of class 'Pattern Call Parameter'.
    `PatternCallParameterList` | `createPatternCallParameterList()` Returns a new object of class 'Pattern Call Parameter List'.
    `QueryImport` | `createQueryImport()` Returns a new object of class 'Query Import'.
    `QueryResultChangeEventPattern` | `createQueryResultChangeEventPattern()` Returns a new object of class 'Query Result Change Event Pattern'.
    `Rule` | `createRule()` Returns a new object of class 'Rule'.
    `Timewindow` | `createTimewindow()` Returns a new object of class 'Timewindow'.
    `Trait` | `createTrait()` Returns a new object of class 'Trait'.
    `TraitList` | `createTraitList()` Returns a new object of class 'Trait List'.
    `TraitTypedParameterList` | `createTraitTypedParameterList()` Returns a new object of class 'Trait Typed Parameter List'.
    `TypedParameter` | `createTypedParameter()` Returns a new object of class 'Typed Parameter'.
    `TypedParameterList` | `createTypedParameterList()` Returns a new object of class 'Typed Parameter List'.
    `TypedParameterWithDefaultValue` | `createTypedParameterWithDefaultValue()` Returns a new object of class 'Typed Parameter With Default Value'.
    `UnaryOperator` | `createUnaryOperator()` Returns a new object of class 'Unary Operator'.
    `UntilOperator` | `createUntilOperator()` Returns a new object of class 'Until Operator'.
    `VeplPackage` | `getVeplPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final VeplFactory eINSTANCE

      The singleton instance of the factory.
      Generated:

  - ### Method Detail

    - #### createEventModel

          EventModel createEventModel()

      Returns a new object of class 'Event Model'.
      Returns:
        a new object of class 'Event Model'.
      Generated:

    - #### createImport

          Import createImport()

      Returns a new object of class 'Import'.
      Returns:
        a new object of class 'Import'.
      Generated:

    - #### createGenericImport

          GenericImport createGenericImport()

      Returns a new object of class 'Generic Import'.
      Returns:
        a new object of class 'Generic Import'.
      Generated:

    - #### createQueryImport

          QueryImport createQueryImport()

      Returns a new object of class 'Query Import'.
      Returns:
        a new object of class 'Query Import'.
      Generated:

    - #### createModelElement

          ModelElement createModelElement()

      Returns a new object of class 'Model Element'.
      Returns:
        a new object of class 'Model Element'.
      Generated:

    - #### createTrait

          Trait createTrait()

      Returns a new object of class 'Trait'.
      Returns:
        a new object of class 'Trait'.
      Generated:

    - #### createEventPattern

          EventPattern createEventPattern()

      Returns a new object of class 'Event Pattern'.
      Returns:
        a new object of class 'Event Pattern'.
      Generated:

    - #### createAbstractAtomicEventPattern

          AbstractAtomicEventPattern createAbstractAtomicEventPattern()

      Returns a new object of class 'Abstract Atomic Event Pattern'.
      Returns:
        a new object of class 'Abstract Atomic Event Pattern'.
      Generated:

    - #### createAtomicEventPattern

          AtomicEventPattern createAtomicEventPattern()

      Returns a new object of class 'Atomic Event Pattern'.
      Returns:
        a new object of class 'Atomic Event Pattern'.
      Generated:

    - #### createQueryResultChangeEventPattern

          QueryResultChangeEventPattern createQueryResultChangeEventPattern()

      Returns a new object of class 'Query Result Change Event Pattern'.
      Returns:
        a new object of class 'Query Result Change Event Pattern'.
      Generated:

    - #### createComplexEventPattern

          ComplexEventPattern createComplexEventPattern()

      Returns a new object of class 'Complex Event Pattern'.
      Returns:
        a new object of class 'Complex Event Pattern'.
      Generated:

    - #### createRule

          Rule createRule()

      Returns a new object of class 'Rule'.
      Returns:
        a new object of class 'Rule'.
      Generated:

    - #### createTraitList

          TraitList createTraitList()

      Returns a new object of class 'Trait List'.
      Returns:
        a new object of class 'Trait List'.
      Generated:

    - #### createTypedParameterList

          TypedParameterList createTypedParameterList()

      Returns a new object of class 'Typed Parameter List'.
      Returns:
        a new object of class 'Typed Parameter List'.
      Generated:

    - #### createTypedParameter

          TypedParameter createTypedParameter()

      Returns a new object of class 'Typed Parameter'.
      Returns:
        a new object of class 'Typed Parameter'.
      Generated:

    - #### createTypedParameterWithDefaultValue

          TypedParameterWithDefaultValue createTypedParameterWithDefaultValue()

      Returns a new object of class 'Typed Parameter With Default Value'.
      Returns:
        a new object of class 'Typed Parameter With Default Value'.
      Generated:

    - #### createTraitTypedParameterList

          TraitTypedParameterList createTraitTypedParameterList()

      Returns a new object of class 'Trait Typed Parameter List'.
      Returns:
        a new object of class 'Trait Typed Parameter List'.
      Generated:

    - #### createParametrizedQueryReference

          ParametrizedQueryReference createParametrizedQueryReference()

      Returns a new object of class 'Parametrized Query Reference'.
      Returns:
        a new object of class 'Parametrized Query Reference'.
      Generated:

    - #### createComplexEventExpression

          ComplexEventExpression createComplexEventExpression()

      Returns a new object of class 'Complex Event Expression'.
      Returns:
        a new object of class 'Complex Event Expression'.
      Generated:

    - #### createChainedExpression

          ChainedExpression createChainedExpression()

      Returns a new object of class 'Chained Expression'.
      Returns:
        a new object of class 'Chained Expression'.
      Generated:

    - #### createAtom

          Atom createAtom()

      Returns a new object of class 'Atom'.
      Returns:
        a new object of class 'Atom'.
      Generated:

    - #### createAbstractMultiplicity

          AbstractMultiplicity createAbstractMultiplicity()

      Returns a new object of class 'Abstract Multiplicity'.
      Returns:
        a new object of class 'Abstract Multiplicity'.
      Generated:

    - #### createTimewindow

          Timewindow createTimewindow()

      Returns a new object of class 'Timewindow'.
      Returns:
        a new object of class 'Timewindow'.
      Generated:

    - #### createParameterizedPatternCall

          ParameterizedPatternCall createParameterizedPatternCall()

      Returns a new object of class 'Parameterized Pattern Call'.
      Returns:
        a new object of class 'Parameterized Pattern Call'.
      Generated:

    - #### createPatternCallParameterList

          PatternCallParameterList createPatternCallParameterList()

      Returns a new object of class 'Pattern Call Parameter List'.
      Returns:
        a new object of class 'Pattern Call Parameter List'.
      Generated:

    - #### createPatternCallParameter

          PatternCallParameter createPatternCallParameter()

      Returns a new object of class 'Pattern Call Parameter'.
      Returns:
        a new object of class 'Pattern Call Parameter'.
      Generated:

    - #### createComplexEventOperator

          ComplexEventOperator createComplexEventOperator()

      Returns a new object of class 'Complex Event Operator'.
      Returns:
        a new object of class 'Complex Event Operator'.
      Generated:

    - #### createBinaryOperator

          BinaryOperator createBinaryOperator()

      Returns a new object of class 'Binary Operator'.
      Returns:
        a new object of class 'Binary Operator'.
      Generated:

    - #### createUnaryOperator

          UnaryOperator createUnaryOperator()

      Returns a new object of class 'Unary Operator'.
      Returns:
        a new object of class 'Unary Operator'.
      Generated:

    - #### createFollowsOperator

          FollowsOperator createFollowsOperator()

      Returns a new object of class 'Follows Operator'.
      Returns:
        a new object of class 'Follows Operator'.
      Generated:

    - #### createOrOperator

          OrOperator createOrOperator()

      Returns a new object of class 'Or Operator'.
      Returns:
        a new object of class 'Or Operator'.
      Generated:

    - #### createAndOperator

          AndOperator createAndOperator()

      Returns a new object of class 'And Operator'.
      Returns:
        a new object of class 'And Operator'.
      Generated:

    - #### createUntilOperator

          UntilOperator createUntilOperator()

      Returns a new object of class 'Until Operator'.
      Returns:
        a new object of class 'Until Operator'.
      Generated:

    - #### createNegOperator

          NegOperator createNegOperator()

      Returns a new object of class 'Neg Operator'.
      Returns:
        a new object of class 'Neg Operator'.
      Generated:

    - #### createMultiplicity

          Multiplicity createMultiplicity()

      Returns a new object of class 'Multiplicity'.
      Returns:
        a new object of class 'Multiplicity'.
      Generated:

    - #### createInfinite

          Infinite createInfinite()

      Returns a new object of class 'Infinite'.
      Returns:
        a new object of class 'Infinite'.
      Generated:

    - #### createAtLeastOne

          AtLeastOne createAtLeastOne()

      Returns a new object of class 'At Least One'.
      Returns:
        a new object of class 'At Least One'.
      Generated:

    - #### getVeplPackage

          VeplPackage getVeplPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated: